Status: Closed Start date: 10/11/2014

Priority: Normal Due date:  

Assigned To: Mayer Michael % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 00-09-00   

Description

Following the discussion from ctools issue #1330, we have decided to add the method stack_maps() to GSkymap. This allows to

integrate all bins along the z-axis of the map.

History

#1 - 10/11/2014 11:00 AM - Mayer Michael

- Status changed from New to Pull request

- % Done changed from 0 to 100

Available on branch 1332-add-stack-maps-to-GSkymap

#2 - 10/11/2014 08:36 PM - Knödlseder Jürgen

- Status changed from Pull request to Feedback

I propose to change the logic in that the method just stacks the maps of the object it is applied on, as the name "stack_maps" suggested. So no object

would be returned, but the pixels would be replaced by a stacked version.

I changed the code in 1332-add-stack-maps-to-GSkymap accordingly, which has the nice side-effect that it does not need to access any information

about the map projection etc. In other word, it works equally well for WCS and HealPix projections.

Please let me know if this new logic is fine for you.

#3 - 10/12/2014 11:16 AM - Mayer Michael

yes, that sounds good. Totally fine with me.

#4 - 10/12/2014 09:53 PM - Knödlseder Jürgen

- Status changed from Feedback to Closed

Merged into devel branch.
